summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAmadeusz Żołnowski <aidecoe@gentoo.org>2016-08-27 10:57:48 +0100
committerAmadeusz Żołnowski <aidecoe@gentoo.org>2016-08-27 14:12:50 +0100
commitcce0a3aae046274707024d007aaa5180f45c90c6 (patch)
tree0a8ceea972e195e61a89fab883643afd64c72d47 /net-im/ejabberd
parentnet-im/ejabberd: Move ejabberd out of /usr/lib/erlang/lib (diff)
downloadgentoo-cce0a3aae046274707024d007aaa5180f45c90c6.tar.gz
gentoo-cce0a3aae046274707024d007aaa5180f45c90c6.tar.bz2
gentoo-cce0a3aae046274707024d007aaa5180f45c90c6.zip
net-im/ejabberd: Use internal eldap module instead of system one
First lookup ejabberd directory for modules. Gentoo-Bug: 591862 Package-Manager: portage-2.3.0
Diffstat (limited to 'net-im/ejabberd')
-rw-r--r--net-im/ejabberd/ejabberd-16.04-r1.ebuild8
1 files changed, 8 insertions, 0 deletions
diff --git a/net-im/ejabberd/ejabberd-16.04-r1.ebuild b/net-im/ejabberd/ejabberd-16.04-r1.ebuild
index 104edf06701..33a62583a60 100644
--- a/net-im/ejabberd/ejabberd-16.04-r1.ebuild
+++ b/net-im/ejabberd/ejabberd-16.04-r1.ebuild
@@ -187,6 +187,14 @@ src_prepare() {
skip_docs
adjust_config
customize_epam_wrapper "${FILESDIR}/epam-wrapper"
+
+ # Fix bug #591862. ERL_LIBS should point directly to ejabberd directory
+ # rather than its parent which is default. That way ejabberd directory
+ # takes precedence is module lookup.
+ local ejabberd_erl_libs="$(get_ejabberd_path):$(get_erl_libs)"
+ sed -e "s|\(ERL_LIBS=\){{libdir}}.*|\1${ejabberd_erl_libs}|" \
+ -i "${S}/ejabberdctl.template" \
+ || die 'failed to set ERL_LIBS in ejabberdctl.template'
}
src_configure() {